Function
asyncReadAt
Asynchronously loads records from a specific position in a file.
asyncReadAt(file, memPtr, count, fileOfs, request)
Include Headers
seqan/file.h
Parameters

file | A File object. Types: File
memPtr | A pointer to the first destination record in memory.
count | The amount of records to be read.
fileOfs | The absolute file position in bytes measured from the beginning.
request | Reference to a structure that will be associated with this asynchronous request. Types: AsyncRequest

Return Values
A bool which is true on success.
Member of
File
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57